<template>
  <div class="wallet-page">
    <div class="wallet-page__content">
      <!-- <WalletBalance /> -->

      <!-- <PageNav>
        <ul>
          <li>
            <nuxt-link :to="localePath('/profile/wallet')">
              {{ $t('buy') }}
            </nuxt-link>
          </li>
          <li>
            <span>
              {{ $t('send') }}
            </span>
          </li>
          <li>
            <span>
              {{ $t('withdrawal') }}
            </span>
          </li>
        </ul>
      </PageNav> -->

      <transition name="fade-up" mode="out-in">
        <nuxt-child />
      </transition>
    </div>
    <div class="wallet-page__sidebar">
      <!-- <WalletToken /> -->
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import PageNav from '@/components/ui/Pagenav.vue'

import WalletToken from '@/components/profile/wallet/Token.vue'
import WalletBalance from '@/components/profile/wallet/Balance.vue'

export default defineComponent({
  name: 'WalletPage',
  components: { PageNav, WalletToken, WalletBalance }
})
</script>
<style lang="scss" scoped>
.wallet-page {
  display: grid;
  grid-template-areas: 'sidebar' 'content';
  grid-template-columns: 100%;
  padding: 0;
  @media (min-width: 1199.98px) {
    grid-template-areas: 'content sidebar';
    grid-template-columns: 1fr 290px;
    grid-column-gap: 40px;
  }

  &__sidebar {
    display: block;
    grid-area: sidebar;
  }

  &__container {
    grid-area: content;
  }
}
</style>
